db1026 (s5) needs some compression
Closed, ResolvedPublic

Description

db1026 (which will be decommissioned at some point - T134476) is now on WARNING on icinga,
It is the "rc" service for s5, it might need some compression so we can delay it paging.

For the record

root@db1026:~# pvs
  PV         VG   Fmt  Attr PSize PFree
  /dev/sda6  tank lvm2 a--  1.63t 221.02g
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2017, 7:59 PM

I have extended the xfs volume by 100G to make sure it doesn't bother us again.
I am also going to compress dewiki to get some disk extra space

By the way there is still space available if needed - although I wouldn't use it if totally necessary:

root@db1026:/srv# pvs
  PV         VG   Fmt  Attr PSize PFree
  /dev/sda6  tank lvm2 a--  1.63t 121.02g

if needed:

lvextend -L+100G /dev/tank/data
xfs_growfs /dev/mapper/tank-data

Mentioned in SAL (#wikimedia-operations) [2017-01-16T09:13:17Z] <marostegui> Compressing dewiki on db1026 - T154929

Mentioned in SAL (#wikimedia-operations) [2017-01-17T08:42:08Z] <marostegui> Compressing wikidatawiki on db1026 - https://phabricator.wikimedia.org/T154929

Both, wikidatawiki and dewiki have been compressed on db1026 and nice we have some nice room:

root@db1026:~# df -hT /srv/
Filesystem            Type  Size  Used Avail Use% Mounted on
/dev/mapper/tank-data xfs   1.6T  958G  587G  63% /srv
root@db1026:~# pvs
  PV         VG   Fmt  Attr PSize PFree
  /dev/sda6  tank lvm2 a--  1.63t 121.02g
Marostegui closed this task as "Resolved".Jan 19 2017, 7:11 AM